Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037837
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 07. Sales managementminoralways2018-02-05 16:202020-01-20 18:59
Reportercollazoandy4View Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR18Q2
StatusclosedFix in branchFixed in SCM revisionedd3344593b9
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Todmiguelez
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037837: Tax selected is based on the invoicing address instead of the partner address

DescriptionThe product tax selected is based on the invoicing address instead of the business partner address
Steps To Reproduce   Go to Business Partner window and create a new record:
    Search Key/Name: IssueBP
    Set as customer
    Create two new records in Location/Address tab
      1. Spain, Shipment Address: Y, Invoicing Address: N
      2. Hong kong, Shipment Address: N, Invoicing Address: Y
    Go to Preferences and create a new record:
      Property: RM Allow Orphan Line
      Value: Y
    Log out and Log in
    Go to Goods Shipment window and create a new record:
     Business Partner: IssueBP
     Create a new record in Lines tab:
       Product: Zumo de Piña 0,5L
       Movement Quantity: 10
     Complete the shipment
    Go to Return from Customer window and create a new record:
      Business Partner: IssueBP
      Clic on Insert Orphan Line Button
        Product: Agua sin Gas 1L
        Returned: 2
      Check that the created Tax is wrong Exportaciones (%N=>0%) should be Entregas IVA 21%
      Clic on Pick Edit Lines and select the previous shipment created and set returned qty 4
      Check that the created Tax is wrong Exportaciones (%N=>0%) should be Entregas IVA 21%
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0037780 closedcollazoandy4 Modules Tax selected for freight product is based on the invoicing address instead of on the partner address 

-  Notes
(0102224)
collazoandy4 (developer)
2018-02-06 17:14

Test Plan
   Go to Business Partner window and create a new record:
    Search Key/Name: IssueBP
    Set as customer
    Create two new records in Location/Address tab
      1. Spain, Shipment Address: Y, Invoicing Address: N
      2. Hong kong, Shipment Address: N, Invoicing Address: Y
    Go to Preferences and create a new record:
      Property: RM Allow Orphan Line
      Value: Y
    Log out and Log in
    Go to Goods Shipment window and create a new record:
     Business Partner: IssueBP
     Create a new record in Lines tab:
       Product: Zumo de Piña 0,5L
       Movement Quantity: 10
     Complete the shipment
    Go to Return from Customer window and create a new record:
      Business Partner: IssueBP
      Clic on Insert Orphan Line Button
        Product: Agua sin Gas 1L
        Returned: 2
      Check that the created Tax is now selected correctly Entregas IVA 21%
      Clic on Pick Edit Lines and select the previous shipment created and set returned qty 4
      Check that the created Tax is now selected correctly Entregas IVA 21%
(0102263)
hgbot (developer)
2018-02-07 18:11

Repository: erp/devel/pi
Changeset: edd3344593b909642938d0b2eac338a6780ff37d
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Mon Feb 05 11:14:10 2018 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/edd3344593b909642938d0b2eac338a6780ff37d [^]

Fixes issue 37837:Tax selected is based on the invoicing address instead of the
partner address

Wrong tax is selected when selecting a business partner with different invoicing
and shipping address, the invoicing address was used as shipping

Now the correct business partner address is selected to properly get the product
tax

---
M src/org/openbravo/common/actionhandler/OrderCreatePOLines.java
M src/org/openbravo/common/actionhandler/SRMOPickEditLines.java
M src/org/openbravo/erpCommon/ad_actionButton/RMInsertOrphanLine.java
---
(0102264)
dmiguelez (developer)
2018-02-07 18:12

Code Review + Testing Ok
(0102730)
hudsonbot (developer)
2018-02-22 18:19

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/980a6ad5bbf5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-05 16:20 collazoandy4 New Issue
2018-02-05 16:20 collazoandy4 Assigned To => collazoandy4
2018-02-05 16:20 collazoandy4 Modules => Core
2018-02-05 16:20 collazoandy4 Triggers an Emergency Pack => No
2018-02-05 16:22 collazoandy4 Relationship added related to 0037780
2018-02-05 16:24 collazoandy4 Status new => scheduled
2018-02-05 21:31 collazoandy4 Steps to Reproduce Updated View Revisions
2018-02-06 17:14 collazoandy4 Note Added: 0102224
2018-02-07 18:11 hgbot Checkin
2018-02-07 18:11 hgbot Note Added: 0102263
2018-02-07 18:11 hgbot Status scheduled => resolved
2018-02-07 18:11 hgbot Resolution open => fixed
2018-02-07 18:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/edd3344593b909642938d0b2eac338a6780ff37d [^]
2018-02-07 18:12 dmiguelez Review Assigned To => dmiguelez
2018-02-07 18:12 dmiguelez Note Added: 0102264
2018-02-07 18:12 dmiguelez Status resolved => closed
2018-02-07 18:12 dmiguelez Fixed in Version => 3.0PR18Q2
2018-02-22 18:19 hudsonbot Checkin
2018-02-22 18:19 hudsonbot Note Added: 0102730
2020-01-20 18:59 eugeni Issue Monitored: eugeni


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker